ファイルのメタデータを取得する
Thread より前のアップロード ファイル、または API token 呼び出し元に表示されるパブリック Thread に添付されたファイルのパブリック ファイル メタデータを返します。
GET
/files/{fileId}Thread より前のアップロード ファイル、または API token 呼び出し元に表示されるパブリック Thread に添付されたファイルのパブリック ファイル メタデータを返します。
Authorization
publicApiBearer AuthorizationBearer <token>
Authorization: Bearer msp_... を使用します。Project API key は同じ Project の Agent 設定、Session 実行、ファイルアクセスに限定されます。キーと account の管理には console または CLI ログインが必要です。旧 account token は拒否されます。
In: header
Path Parameters
fileId*string
Thread ファイルの追加またはリストによって返されるファイル ID。 v1 ID はベア ULID です。
Match
^[0-7][0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{25}$Format
ulidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/files/01J0000000000000000000000J"{ "file": { "createdAt": "2026-05-19T00:02:00.000Z", "id": "01J0000000000000000000000J", "mimeType": "text/plain", "name": "brief.txt", "size": 19 }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}{ "error": { "code": "agent_not_published", "message": "string" }}